Subject: Re: [dispatch] [sip-overload] Revised Charter Proposal for SIP Overload

From: Volker Hilt <[email-masked]>
Date: Tue, 8 Sep 2009 22:00:09 -0400

Carolyn,

thanks for your feedback! I'll update the charter proposal to address 
the comment.

Thanks,

Volker

JOHNSON, CAROLYN R, ATTLABS wrote:
> Volker,
> Sorry for the delay, this got stuck in my drafts folder while I was out
> on vacation.
> 
> One comment on the last dashed item:
> - The second mechanism aims at preventing overload in SIP servers by
> distributing load control filters to SIP servers that throttle calls
> based on their destination domain, telephone number prefix or for a
> specific user. Such filters can be used, for example, to throttle calls
> to a hotline during a ticket-giveaway event.
> 
> I suggest replacing "telephone number" with "destination routing" so as
> not to limit to applications that use telephone prefixes. I believe it
> will be more general without losing the applicability to telephone IDs.
> 
> The charter is clearly laid out. 
> Regards,
> 
> Carolyn
>  
> 
> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]] On Behalf Of Volker Hilt
> Sent: Thursday, August 20, 2009 9:52 AM
> To: DISPATCH; SIP-OVERLOAD
> Subject: [sip-overload] Revised Charter Proposal for SIP Overload
> 
> All,
> 
> below is an revised SIP Overload Control charter proposal. I have
> received a few comments that are reflected in the new proposal.
> 
> All comments, thoughts, feedback is very welcome!
> 
> Thanks,
> 
> Volker
> 
> 
> 
> SIP Overload Control WG Charter
> -------------------------------
> 
> As with any network element, a Session Initiation Protocol (SIP) server
> can suffer from overload when the number of SIP messages it receives
> exceeds the number of messages it can process. Overload is said to occur
> when a SIP server does not have sufficient resources to process all
> incoming SIP messages.  These resources can include CPU, memory, network
> bandwidth, input/output, or disk resources.
> 
> Overload can pose a serious problem for a network of SIP servers. During
> periods of overload, the throughput of a network of SIP servers can be
> significantly degraded.  In fact, overload may lead to a situation in
> which the throughput drops down to zero or a small fraction of the
> original processing capacity.  This is often called congestion collapse.
> 
> The objective of a SIP overload control mechanism is to enable SIP
> servers to operate close to their capacity limit during times of
> overload.
> 
> The SIP protocol provides a limited mechanism for overload control
> through its 503 (Service Unavailable) response code and the Retry-After
> header.  However, this mechanism cannot fully prevent overload of a SIP
> server and it cannot prevent congestion collapse.  In fact, its on/off
> behavior may cause traffic to oscillate and shift between SIP servers
> and thereby worsen an overload condition.  A detailed discussion of the
> SIP overload problem, the problems with the 503 (Service Unavailable)
> response code and the Retry-After header and the requirements for a SIP
> overload control mechanism can be found in RFC5390.
> 
> The objective of the proposed working group is to develop mechanisms for
> SIP overload control. Two complementary approaches exist for handling
> overload situations:
> - The first mechanism aims at preventing overload in SIP servers by
> adjusting the incoming load to a level that is acceptable for this
> server. This mechanism uses implicit and/or explicit feedback to
> determine when an overload condition occurs in a SIP server and a
> reduction in load is required.
> - The second mechanism aims at preventing overload in SIP servers by
> distributing load control filters to SIP servers that throttle calls
> based on their destination domain, telephone number prefix or for a
> specific user. Such filters can be used, for example, to throttle calls
> to a hotline during a ticket-giveaway event.
> 
> Specifically, the proposed working group will develop the following
> deliverables:
> 1. A document describing key design considerations for a SIP overload
> control mechanism.
> 2. A specification for an SIP overload control mechanism based on
> implicit/explicit feedback.
> 3. A specification for a SIP load filtering mechanism.
> 
> 
> 
> _______________________________________________
> sip-overload mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sip-overload